কনটেন্টে যান

MMAudio V2 Text to Audio

ইন্টিগ্রেট করুন

মডেল id mmaudio-v2/text-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/mmaudio-v2/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ০.০০৮$ ৮ API ক্রেডিট · ≈ ০.৮৬₽ এই পেজে চালান

API কী পান
Sony AI অডিও ১–৩০ s #audio#fast

সমন্বয়যোগ্য ধাপ, নির্দেশনা ও সময়কালসহ প্রম্পট থেকে সাউন্ডের টেক্সট-টু-অডিও জেনারেশন

Sony AI · অডিও

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক

তৈরি করার অডিও বর্ণনাকারী প্রম্পট।

ডিফল্ট 8

জেনারেট করা অডিওর দৈর্ঘ্য।

অ্যাডভান্সড negative_prompt · num_steps · cfg_strength · seed · mask_away_clip
ডিফল্ট

অডিও জেনারেশনের সময় কী বাদ দিতে হবে তা নির্দিষ্ট করা নেগেটিভ প্রম্পট।

ডিফল্ট 25

অডিও জেনারেশনে ব্যবহৃত ধাপের সংখ্যা।

ডিফল্ট 4.5

Classifier Free Guidance-এর তীব্রতা।

র‍্যান্ডম-নম্বর জেনারেটর ব্যবহৃত seed মান।

POST /run/mmaudio-v2/text-to-audio?wait=20 মূল্য → ০.০০৮$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/mmaudio-v2/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

MMAudio V2 Text to Audio সম্পর্কে

একটি টেক্সট `prompt` থেকে অডিও তৈরি করে; `negative_prompt` ব্যবহার করে নির্দিষ্ট শব্দ এড়িয়ে চলে। `duration` 1 থেকে 30 সেকেন্ড (ডিফল্ট 8), `num_steps` 4 থেকে 50 (ডিফল্ট 25), এবং `cfg_strength` 0 থেকে 20 (ডিফল্ট 4.5) পর্যন্ত হতে পারে। 0 থেকে 65535-এর মধ্যে একটি `seed` ফলাফল পুনরাবৃত্তিযোগ্য করে।

প্যারামিটার

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
তৈরি করার অডিও বর্ণনাকারী প্রম্পট।
negative_promptঐচ্ছিক
ধরনstring
ডিফল্ট
অডিও জেনারেশনের সময় কী বাদ দিতে হবে তা নির্দিষ্ট করা নেগেটিভ প্রম্পট।
seedঐচ্ছিক
ধরনinteger | null
০ – ৬৫,৫৩৫
র‍্যান্ডম-নম্বর জেনারেটর ব্যবহৃত seed মান।
num_stepsঐচ্ছিক
ধরনinteger
ডিফল্ট25
৪ – ৫০
অডিও জেনারেশনে ব্যবহৃত ধাপের সংখ্যা।
durationঐচ্ছিক
ধরনnumber
ডিফল্ট8
১ – ৩০
জেনারেট করা অডিওর দৈর্ঘ্য।
cfg_strengthঐচ্ছিক
ধরনnumber
ডিফল্ট4.5
০ – ২০
Classifier Free Guidance-এর তীব্রতা।
mask_away_clipঐচ্ছিক
ধরনboolean
ডিফল্টfalse
ক্লিপটি মাস্ক করে বাদ দেওয়া হবে কি না তা নিয়ন্ত্রণ করে।
আবশ্যক

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "mmaudio-v2/text-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 8,
    "usd": "0.008",
    "charged": 8,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
audio
object {url, content_type, file_name, file_size}মডেল দ্বারা তৈরি অডিও।

আরও মডেল: অডিও

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/mmaudio-v2/text-to-audio.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt